NX Open C++ Reference Guide
|
Represents a collection of sketches
To obtain an instance of this class, refer to Part
Created in NX3.0.0.
More...
Classes | |
class | iterator |
Iterator for accessing the contents of the collection. More... | |
Represents a collection of sketches
To obtain an instance of this class, refer to Part
Created in NX3.0.0.
iterator NXOpen::SketchCollection::begin | ( | ) |
Returns an iterator addressing the first element.
NXOpen::SketchAngularDimensionBuilder* NXOpen::SketchCollection::CreateAngularDimensionBuilder | ( | NXOpen::Annotations::AngularDimension * | angularDimension | ) |
Creates a SketchAngularDimensionBuilder.
angularDimension | the angular dimension to be edited, if NULL. then create an angular dimension |
NXOpen::SketchAutoConstrainBuilder* NXOpen::SketchCollection::CreateAutoConstrainBuilder | ( | ) |
Creates a SketchAutoConstrainBuilder.
NXOpen::SketchAutoDimensionBuilder* NXOpen::SketchCollection::CreateAutoDimensionBuilder | ( | ) |
Creates a SketchAutoDimensionBuilder.
NXOpen::SketchConstraintBuilder* NXOpen::SketchCollection::CreateConstraintBuilder | ( | ) |
Creates a SketchConstraintBuilder.
NXOpen::ConvertToFromReferenceBuilder* NXOpen::SketchCollection::CreateConvertToFromReferenceBuilder | ( | ) |
Creates a ConvertToFromReferenceBuilder.
NXOpen::SketchCornerBuilder* NXOpen::SketchCollection::CreateCornerBuilder | ( | ) |
Creates a SketchCornerBuilder.
NXOpen::SketchDimensionBuilder* NXOpen::SketchCollection::CreateDimensionBuilder | ( | NXOpen::SketchDimensionalConstraint * | constraint | ) |
Creates a SketchDimensionBuilder.
constraint | The sketch dimensional constraint to be edited. |
NXOpen::SketchEditDefiningSectionBuilder* NXOpen::SketchCollection::CreateEditDefiningSectionBuilder | ( | ) |
Creates a SketchEditDefiningSectionBuilder.
NXOpen::InferredConstraintsBuilder* NXOpen::SketchCollection::CreateInferredConstraintsBuilder | ( | ) |
Creates a InferredConstraintsBuilder.
NXOpen::SketchIntersectionCurveBuilder* NXOpen::SketchCollection::CreateIntersectionCurveBuilder | ( | NXOpen::SketchIntersectionCurve * | operation | ) |
Creates the builder for intersection curve.
operation | operation |
NXOpen::SketchIntersectionPointBuilder* NXOpen::SketchCollection::CreateIntersectionPointBuilder | ( | NXOpen::SketchIntersectionPoint * | operation | ) |
Creates the builder for intersection point.
operation | operation |
NXOpen::SketchLinearDimensionBuilder* NXOpen::SketchCollection::CreateLinearDimensionBuilder | ( | NXOpen::Annotations::Dimension * | linearDimension | ) |
Creates a SketchLinearDimensionBuilder.
linearDimension | the linear dimension to be edited, if NULL, then create a linear dimension |
NXOpen::SketchMakeSymmetricBuilder* NXOpen::SketchCollection::CreateMakeSymmetricBuilder | ( | ) |
Creates a SketchMakeSymmetricBuilder.
NXOpen::SketchInPlaceBuilder* NXOpen::SketchCollection::CreateNewSketchInPlaceBuilder | ( | NXOpen::Sketch * | operation | ) |
Creates a SketchInPlaceBuilder .
This function doesn't infer the placement face and the horizontal reference for the builder when in creation mode. The placement face and horizontal reference can be set using the appropriate SelectObject available from the builder.
operation | The Sketch to reattach or NULL to create a new one |
NXOpen::SketchProjectBuilder* NXOpen::SketchCollection::CreateProjectBuilder | ( | NXOpen::Features::Feature * | operation | ) |
Creates a SketchProjectBuilder.
operation | The feature for the SketchProjectBuilder to be edited, if NULL then create a new one |
NXOpen::SketchQuickExtendBuilder* NXOpen::SketchCollection::CreateQuickExtendBuilder | ( | ) |
Creates a SketchQuickExtendBuilder.
NXOpen::SketchQuickTrimBuilder* NXOpen::SketchCollection::CreateQuickTrimBuilder | ( | ) |
Creates a SketchQuickTrimBuilder.
NXOpen::SketchRadialDimensionBuilder* NXOpen::SketchCollection::CreateRadialDimensionBuilder | ( | NXOpen::Annotations::Dimension * | radialDimension | ) |
Creates a SketchRadialDimensionBuilder.
radialDimension | the radial dimension to be edited, if NULL, then create a radial dimension |
NXOpen::SketchRapidDimensionBuilder* NXOpen::SketchCollection::CreateRapidDimensionBuilder | ( | ) |
Creates a SketchRapidDimensionBuilder.
NXOpen::Sketch* NXOpen::SketchCollection::CreateSketch | ( | const NXString & | name, |
NXOpen::ISurface * | attachmentPlane, | ||
NXOpen::IReferenceAxis * | referenceAxis, | ||
const NXOpen::Vector3d & | referenceDirection, | ||
NXOpen::AxisOrientation | referenceAxisOrientation, | ||
NXOpen::Sense | referenceAxisSense, | ||
NXOpen::PlaneNormalOrientation | normalOrientation | ||
) |
Creates a sketch.
@return the new sketch
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
name | Name of the sketch. The name will be converted to upper case. If this is an empty string or NULL, a name will be provided by the system. |
attachmentPlane | A face or datum plane that the sketch will be attached to. Must be planar. |
referenceAxis | Can be a datum axis, edge, datum plane, face, or NULL. If it is an edge, the edge must be a line segment. If it is a face, the face must be a plane. If NULL, the reference_direction is used instead |
referenceDirection | If reference_axis is NULL, this parameter sets the reference direction of the sketch. In this case, this parameter must not be (0,0,0). If reference_axis is not NULL and this parameter is not (0,0,0), this parameter determines whether the reference direction should be in the same direction as reference_axis or in the opposite direction. If this parameter is (0,0,0), this parameter is not used. |
referenceAxisOrientation | indicates whether the reference axis is horizontal or vertical |
referenceAxisSense | Ignored unless reference_direction is (0,0,0) and reference_axis is an edge or datum axis. This parameter indicates whether the reference axis should be in the same direction as reference_axis or in the opposite direction |
normalOrientation | whether the sketch's Z-axis should be outward or inward |
NXOpen::Sketch* NXOpen::SketchCollection::CreateSketch | ( | const char * | name, |
NXOpen::ISurface * | attachmentPlane, | ||
NXOpen::IReferenceAxis * | referenceAxis, | ||
const NXOpen::Vector3d & | referenceDirection, | ||
NXOpen::AxisOrientation | referenceAxisOrientation, | ||
NXOpen::Sense | referenceAxisSense, | ||
NXOpen::PlaneNormalOrientation | normalOrientation | ||
) |
Creates a sketch.
@return the new sketch
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
name | Name of the sketch. The name will be converted to upper case. If this is an empty string or NULL, a name will be provided by the system. |
attachmentPlane | A face or datum plane that the sketch will be attached to. Must be planar. |
referenceAxis | Can be a datum axis, edge, datum plane, face, or NULL. If it is an edge, the edge must be a line segment. If it is a face, the face must be a plane. If NULL, the reference_direction is used instead |
referenceDirection | If reference_axis is NULL, this parameter sets the reference direction of the sketch. In this case, this parameter must not be (0,0,0). If reference_axis is not NULL and this parameter is not (0,0,0), this parameter determines whether the reference direction should be in the same direction as reference_axis or in the opposite direction. If this parameter is (0,0,0), this parameter is not used. |
referenceAxisOrientation | indicates whether the reference axis is horizontal or vertical |
referenceAxisSense | Ignored unless reference_direction is (0,0,0) and reference_axis is an edge or datum axis. This parameter indicates whether the reference axis should be in the same direction as reference_axis or in the opposite direction |
normalOrientation | whether the sketch's Z-axis should be outward or inward |
NXOpen::Sketch* NXOpen::SketchCollection::CreateSketch | ( | const NXString & | name, |
NXOpen::ISurface * | attachmentPlane, | ||
NXOpen::IReferenceAxis * | referenceAxis, | ||
const NXOpen::Vector3d & | referenceDirection, | ||
NXOpen::AxisOrientation | referenceAxisOrientation, | ||
NXOpen::Sense | referenceAxisSense, | ||
NXOpen::PlaneNormalOrientation | normalOrientation, | ||
NXOpen::NXObject * | view | ||
) |
Creates a sketch.
This function takes in an argument for the view to create the sketch in a drafting member view.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
name | Name of the sketch. The name will be converted to upper case. If this is an empty string or NULL, a name will be provided by the system. |
attachmentPlane | A face or datum plane that the sketch will be attached to. Must be planar. |
referenceAxis | Can be a datum axis, edge, datum plane, face, or NULL. If it is an edge, the edge must be a line segment. If it is a face, the face must be a plane. If NULL, the reference_direction is used instead |
referenceDirection | If reference_axis is NULL, this parameter sets the reference direction of the sketch. In this case, this parameter must not be (0,0,0). If reference_axis is not NULL and this parameter is not (0,0,0), this parameter determines whether the reference direction should be in the same direction as reference_axis or in the opposite direction. If this parameter is (0,0,0), this parameter is not used. |
referenceAxisOrientation | indicates whether the reference axis is horizontal or vertical |
referenceAxisSense | Ignored unless reference_direction is (0,0,0) and reference_axis is an edge or datum axis. This parameter indicates whether the reference axis should be in the same direction as reference_axis or in the opposite direction |
normalOrientation | whether the sketch's Z-axis should be outward or inward |
view | View of the drafting view in which the sketch needsto be created |
NXOpen::Sketch* NXOpen::SketchCollection::CreateSketch | ( | const char * | name, |
NXOpen::ISurface * | attachmentPlane, | ||
NXOpen::IReferenceAxis * | referenceAxis, | ||
const NXOpen::Vector3d & | referenceDirection, | ||
NXOpen::AxisOrientation | referenceAxisOrientation, | ||
NXOpen::Sense | referenceAxisSense, | ||
NXOpen::PlaneNormalOrientation | normalOrientation, | ||
NXOpen::NXObject * | view | ||
) |
Creates a sketch.
This function takes in an argument for the view to create the sketch in a drafting member view.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
name | Name of the sketch. The name will be converted to upper case. If this is an empty string or NULL, a name will be provided by the system. |
attachmentPlane | A face or datum plane that the sketch will be attached to. Must be planar. |
referenceAxis | Can be a datum axis, edge, datum plane, face, or NULL. If it is an edge, the edge must be a line segment. If it is a face, the face must be a plane. If NULL, the reference_direction is used instead |
referenceDirection | If reference_axis is NULL, this parameter sets the reference direction of the sketch. In this case, this parameter must not be (0,0,0). If reference_axis is not NULL and this parameter is not (0,0,0), this parameter determines whether the reference direction should be in the same direction as reference_axis or in the opposite direction. If this parameter is (0,0,0), this parameter is not used. |
referenceAxisOrientation | indicates whether the reference axis is horizontal or vertical |
referenceAxisSense | Ignored unless reference_direction is (0,0,0) and reference_axis is an edge or datum axis. This parameter indicates whether the reference axis should be in the same direction as reference_axis or in the opposite direction |
normalOrientation | whether the sketch's Z-axis should be outward or inward |
view | View of the drafting view in which the sketch needsto be created |
NXOpen::SketchAlongPathBuilder* NXOpen::SketchCollection::CreateSketchAlongPathBuilder | ( | NXOpen::Sketch * | operation | ) |
Creates a SketchAlongPathBuilder.
operation | The Sketch to reattach or NULL to create a new one |
NXOpen::SketchAssociativeTrimBuilder* NXOpen::SketchCollection::CreateSketchAssociativeTrimBuilder | ( | NXOpen::SketchAssociativeTrim * | trimCon | ) |
Creates a SketchAssociativeTrimBuilder.
trimCon | Trim constraint |
NXOpen::SketchChamferBuilder* NXOpen::SketchCollection::CreateSketchChamferBuilder | ( | ) |
Creates a SketchChamferBuilder.
NXOpen::SketchConicBuilder* NXOpen::SketchCollection::CreateSketchConicBuilder | ( | NXOpen::NXObject * | conic | ) |
Creates a SketchConicBuilder.
conic | The conic to be edited. |
NXOpen::SketchEllipseBuilder* NXOpen::SketchCollection::CreateSketchEllipseBuilder | ( | NXOpen::NXObject * | ellipse | ) |
Creates a SketchEllipseBuilder.
ellipse | The ellipse to be edited. |
NXOpen::SketchInDraftingBuilder* NXOpen::SketchCollection::CreateSketchInDraftingBuilder | ( | ) |
Creates a SketchInDraftingBuilder.
NXOpen::SketchInPlaceBuilder* NXOpen::SketchCollection::CreateSketchInPlaceBuilder | ( | NXOpen::Sketch * | operation | ) |
Creates a SketchInPlaceBuilder .
This function is deprecated because it infers the placement face and the horizontal reference and sets them into the builder. This behavior is not supported after NX7.5.0.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
operation | The Sketch to reattach or NULL to create a new one |
NXOpen::SketchMirrorBuilder* NXOpen::SketchCollection::CreateSketchMirrorBuilder | ( | ) |
Creates a SketchMirrorBuilder.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
NXOpen::SketchMirrorPatternBuilder* NXOpen::SketchCollection::CreateSketchMirrorPatternBuilder | ( | NXOpen::SketchPattern * | con | ) |
Creates a SketchMirrorPatternBuilder.
con | Pattern constraint |
NXOpen::SketchOffsetBuilder* NXOpen::SketchCollection::CreateSketchOffsetBuilder | ( | NXOpen::SketchOffset * | offCon | ) |
Creates a SketchOffsetBuilder .
This command only supports creation of up to 200 output curves. That means number of curves in input section multiplied by the number of copies must be less than or equal to 200.
offCon | Offset constraint |
NXOpen::SketchPasteBuilder* NXOpen::SketchCollection::CreateSketchPasteBuilder | ( | const std::vector< NXOpen::Sketch * > & | sketches | ) |
Creates a SketchPasteBuilder.
sketches | Sketch to be copy/paste |
NXOpen::SketchPatternBuilder* NXOpen::SketchCollection::CreateSketchPatternBuilder | ( | NXOpen::SketchPattern * | con | ) |
Creates a SketchPatternBuilder.
con | Pattern constraint |
NXOpen::SketchPolygonBuilder* NXOpen::SketchCollection::CreateSketchPolygonBuilder | ( | NXOpen::SketchPolygon * | polygonconstraint | ) |
Creates a SketchPolygonBuilder.
polygonconstraint | The polygon constraint. The only acceptable value here is NULL. |
iterator NXOpen::SketchCollection::end | ( | ) |
Returns an iterator addressing one past the last element.
NXOpen::Sketch* NXOpen::SketchCollection::FindObject | ( | const NXString & | name | ) |
NXOpen::Sketch* NXOpen::SketchCollection::FindObject | ( | const char * | name | ) |
NXOpen::Sketch* NXOpen::SketchCollection::GetOwningSketch | ( | NXOpen::SmartObject * | geometry | ) |
Returns the sketch that owns the specified geometry.
geometry | geometry |
tag_t NXOpen::SketchCollection::Tag | ( | ) | const |
Returns the tag of this object.